リッチテキストエディタ(GcRichTextEditor)コントロールは、コマンドを実行することでUI以外からも操作を実行することが可能です。
コマンド処理
execCommandメソッド利用して、ビルドインの操作を実行することができます。
実行できるコマンドはGcRichTextEditorCommand列挙体から確認することができます。
以下の例は、任意のボタン押下時にJustifyCenter操作を実行するサンプルです。
import "@mescius/inputman.richtexteditor/CSS/gc.inputman.richtexteditor.css";
import "@mescius/inputman/CSS/gc.inputman-js.css";
import { InputMan } from "@mescius/inputman.richtexteditor";
import * as GcCommon from "@mescius/inputman";
GcCommon.InputMan.appearanceStyle = GcCommon.InputMan.AppearanceStyle.Modern;
const gcRichTextEditor = new InputMan.GcRichTextEditor(
document.getElementById("gcRichTextEditor"),
{
watermarkText: "ここに入力してください...",
baseUrl:
'$IMDEMOROOT$/lib/purejs/node_modules/@mescius/inputman.richtexteditor/JS',
}
);
gcRichTextEditor.text = "テストテキスト";
const gcComboBox = new GcCommon.InputMan.GcComboBox(
document.getElementById("gcComboBoxObjects"),
{
items: [
{
name: "すべて選択",
command: InputMan.GcRichTextEditorCommand.SelectAll,
},
{ name: "Bold", command: InputMan.GcRichTextEditorCommand.Bold },
{ name: "Italic", command: InputMan.GcRichTextEditorCommand.Italic },
{
name: "Underline",
command: InputMan.GcRichTextEditorCommand.Underline,
},
{ name: "コピー", command: InputMan.GcRichTextEditorCommand.Copy },
{ name: "ペースト", command: InputMan.GcRichTextEditorCommand.Paste },
],
displayMemberPath: "name",
valueMemberPath: "command",
isEditable: false,
}
);
gcComboBox.selectedIndex = 0;
document.getElementById("executeBtn").addEventListener("click", () => {
gcRichTextEditor.execCommand(gcComboBox.selectedValue, false);
});
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="ie=edge">
<title>リッチテキストエディタコントロール - コマンド</title>
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
window.onload = function() {
System.import('./src/app');
}
</script>
</head>
<body>
<textarea id="gcRichTextEditor"></textarea>
<div>
実行するコマンド<br>
<select id="gcComboBoxObjects"></select>
<button id="executeBtn">コマンドを実行する</button>
</div>
</body>
</html>
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/inputman': 'npm:@mescius/inputman/index.js',
'@mescius/inputman/CSS': 'npm:@mescius/inputman/CSS',
'@mescius/inputman.richtexteditor': 'npm:@mescius/inputman.richtexteditor/index.js',
'@mescius/inputman.richtexteditor/CSS': 'npm:@mescius/inputman.richtexteditor/CSS',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
}
});

リッチテキストエディタ(GcRichTextEditor)コントロールは、コマンドを実行することでUI以外からも操作を実行することが可能です。
コマンド処理
execCommandメソッド利用して、ビルドインの操作を実行することができます。
実行できるコマンドはGcRichTextEditorCommand列挙体から確認することができます。
以下の例は、任意のボタン押下時にJustifyCenter操作を実行するサンプルです。
<template>
<div>
<GcRichTextEditorComponent
ref="rich"
:watermark-text="watermarkText"
:text="text"
/>
<div>
実行するコマンド<br />
<GcComboBoxComponent
ref="combo"
:items="items"
:display-member-path="displayMemberPath"
:value-member-path="valueMemberPath"
:is-editable="isEditable"
:selected-index="selectedIndex"
>
</GcComboBoxComponent>
<button @click="execCommand()">コマンドを実行する</button>
</div>
</div>
</template>
<script setup>
import "@mescius/inputman.richtexteditor/CSS/gc.inputman.richtexteditor.css";
import "@mescius/inputman/CSS/gc.inputman-js.css";
import "./styles.css";
import { ref } from "vue";
import { GcRichTextEditorComponent } from "@mescius/inputman.richtexteditor.vue";
import { GcComboBoxComponent } from "@mescius/inputman.vue";
GC.InputMan.appearanceStyle = GC.InputMan.AppearanceStyle.Modern;
var combo = ref();
var rich = ref();
var watermarkText = ref("ここに入力してください...");
var text = ref("テストテキスト");
var items = ref([
{
name: "すべて選択",
command: GC.InputMan.GcRichTextEditorCommand.SelectAll,
},
{ name: "Bold", command: GC.InputMan.GcRichTextEditorCommand.Bold },
{ name: "Italic", command: GC.InputMan.GcRichTextEditorCommand.Italic },
{
name: "Underline",
command: GC.InputMan.GcRichTextEditorCommand.Underline,
},
{ name: "コピー", command: GC.InputMan.GcRichTextEditorCommand.Copy },
{ name: "ペースト", command: GC.InputMan.GcRichTextEditorCommand.Paste },
]);
var displayMemberPath = ref("name");
var valueMemberPath = ref("command");
var isEditable = ref(false);
var selectedIndex = 0;
const execCommand = (event) => {
var cmd = combo.value.getNestedIMControl().selectedValue;
rich.value.getNestedIMControl().execCommand(cmd);
};
</script>
<style src="./styles.css"></style>
<!doctype html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>リッチテキストエディタコントロール - コマンド</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script src="compiler.js" type="module"></script>
<script>
window.onload = function() {
var System = SystemJS;
System.import("./src/app.js");
}
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
button {
margin-left: 5px;
}
[gcim-control-appearance="modern"] button {
margin-left: 5px;
}
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
"@mescius/inputman": 'npm:@mescius/inputman/index.js',
"@mescius/inputman.vue": 'npm:@mescius/inputman.vue/lib/gc.inputman.plugin.vue.js',
"@mescius/inputman/CSS": "npm:@mescius/inputman/CSS",
"@mescius/inputman.richtexteditor": "npm:@mescius/inputman.richtexteditor/index.js",
"@mescius/inputman.richtexteditor.vue": "npm:/@mescius/inputman.richtexteditor.vue/lib/gc.inputman.richtexteditor.plugin.vue.js",
"@mescius/inputman.richtexteditor/CSS": "npm:@mescius/inputman.richtexteditor/CSS",
'@mescius/inputman.richtexteditor/JS/plugins/advlist': 'npm:@mescius/inputman.richtexteditor/JS/plugins/advlist/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/all': 'npm:@mescius/inputman.richtexteditor/JS/plugins/all/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/autosave': 'npm:@mescius/inputman.richtexteditor/JS/plugins/autosave/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/charmap': 'npm:@mescius/inputman.richtexteditor/JS/plugins/charmap/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/directionality': 'npm:@mescius/inputman.richtexteditor/JS/plugins/directionality/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/emoticons': 'npm:@mescius/inputman.richtexteditor/JS/plugins/emoticons/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/fullscreen': 'npm:@mescius/inputman.richtexteditor/JS/plugins/fullscreen/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/htmlcode': 'npm:@mescius/inputman.richtexteditor/JS/plugins/htmlcode/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/image': 'npm:@mescius/inputman.richtexteditor/JS/plugins/image/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/link': 'npm:@mescius/inputman.richtexteditor/JS/plugins/link/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/lists': 'npm:@mescius/inputman.richtexteditor/JS/plugins/lists/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/media': 'npm:@mescius/inputman.richtexteditor/JS/plugins/media/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/pagebreak': 'npm:@mescius/inputman.richtexteditor/JS/plugins/pagebreak/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/preview': 'npm:@mescius/inputman.richtexteditor/JS/plugins/preview/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/save': 'npm:@mescius/inputman.richtexteditor/JS/plugins/save/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/searchreplace': 'npm:@mescius/inputman.richtexteditor/JS/plugins/searchreplace/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/table': 'npm:@mescius/inputman.richtexteditor/JS/plugins/table/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/template': 'npm:@mescius/inputman.richtexteditor/JS/plugins/template/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/wordcount': 'npm:@mescius/inputman.richtexteditor/JS/plugins/wordcount/plugin.js',
"@mescius/inputman.comment": 'npm:@mescius/inputman.comment/index.js',
"@mescius/inputman.comment.vue": 'npm:@mescius/inputman.comment.vue/lib/gc.inputman.comment.plugin.vue.js',
"@mescius/inputman.comment/CSS": "npm:@mescius/inputman.comment/CSS",
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures/wijmo.culture.ja.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ja': 'npm:@mescius/spread-sheets-resources-ja/index.js',
'@mescius/spread-sheets/styles': 'npm:@mescius/spread-sheets/styles',
'css': 'npm:systemjs-plugin-css/css.js',
},
meta: {
'*.css': { loader: 'css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);